Subject: Re: [PATCH] SubmittingPatches: allow non-real name contributions

From: Junio C Hamano <[email-masked]>
Date: Sun, 06 Jul 2025 18:11:02 -0700

"brian m. carlson" <[email-masked]> writes:

> Our submission guidelines require people to use their real name, but
> this is not always suitable for various reasons.
> ...

Another thing to consider, which may matter even more in the context
of SubmittingPatches, is if it is necessary.  If there is a
requirement, which may or may not be the "real name", that is
essential to keep DCO enforceable, we will not be able to drop such
an essential requirement, even if it is "not suitable" for some
people.  We would have to rather ask these people refrain from
contributing.

But if a requirment we currently have, like "real name", is not
necessary and if "known identity" is sufficient, then by all means,
let's make sure we can loosen the wording to make it "suitable" to
more people.

> In addition, there are some developers who are so widely known
> pseudonymously that they have a Wikipedia page with their handle and no
> real name.  It would seem silly to reject patches from people who are
> known and respected in their open-source community just because they
> don't wish to share a real name.

Yup.

> Retain the prohibition on anonymous contributions that the Linux kernel
> has to ensure that we have some line of provenance to a known (if
> pseudonymous) author who might be able to respond to questions about it.

Where is this reference to "Linux kernel" come from?  Shouldn't we
name our own project and adopt this new language for our own rules?

And yes, total anonymity goes directly against provenance traceability,
so it is not a passive "unfortunately we cannot accept" with regret;
it is a lot more active and positive "we must not accept an
anonymous contributions."

> I don't claim that this is the best possible wording and I'm open to
> changing it.   The term "known identity" comes from Linux, but if we
> need to clarify using different language or otherwise change any part of
> this up, we can do so.

Thanks for writing this.

>  [[real-name]]
> -Also notice that a real name is used in the `Signed-off-by` trailer. Please
> -don't hide your real name.
> +Please use a known identity in the `Signed-off-by` trailer, since we
> +unfortunately cannot accept anonymous contributions. It is common to use some

Drop "unfortunately".  We will not accept anonymous contributions.
It is not like we would wish to if we can but somebody else tells us
not to.

> +form of your real name. We realize that some contributors are not comfortable
> +doing so or prefer to contribute under a pseudonym or preferred name and we can
> +accept your patch either way.

Thanks.